GWT 2.7.0

## com.google.gwt.uibinder.attributeparsers
Class CssNameConverter

    java.lang.Object
      com.google.gwt.uibinder.attributeparsers.CssNameConverter

    public class CssNameConverter

extends java.lang.Object

Converts css class names to a form safe to use as a Java identifier.

Nested Class Summary
`static class` | `CssNameConverter.Failure` Thrown by `convertSet(Set)` on name collision.

Constructor Summary
`CssNameConverter()`

Method Summary
`java.lang.String` | `convertName(java.lang.String className)`
`java.util.Map<java.lang.String,java.lang.String>` | `convertSet(java.util.Set<java.lang.String> classNames)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CssNameConverter

    public CssNameConverter()

Method Detail

### convertName

    public java.lang.String convertName(java.lang.String className)

  Parameters:
    `className` - a css class name
  Returns:
    the same name in a form safe to use as a Java identifier

### convertSet

    public java.util.Map<java.lang.String,java.lang.String> convertSet(java.util.Set<java.lang.String> classNames)
                                                                throws CssNameConverter.Failure

  Parameters:
    `classNames` - css class names to convert
  Returns:
    map of the same class names in a form safe for use as Java identifiers, with the order of the input set preserved
  Throws:
    `CssNameConverter.Failure` - on collisions due to conversions

GWT 2.7.0